<?php
/*
  $Id: prepare_orders.php,Février 2011 by Brouillard

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2011 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Pr&eacute;paration commandes fournisseurs');
define('HEADING_TITLE_NEW_ORDER', 'Nouvelle Commande');
define('HEADING_TITLE_FOURNISSEURS', 'Gestion des fournisseurs');
define('HEADING_TITLE_PRODUCTS_FOURNISSEURS', 'Produits des fournisseurs');
define('HEADING_TEXT_NEW_ORDER', 'Pour une nouvelle commande choisissez un fournisseur');

define('HEADING_FOURNISSEUR_CAMPANY', 'Nom du fournisseur :');
define('HEADING_COMERCIAL_NAME', 'Nom du commercial(e) :');
define('HEADING_TELEPHONE_NUMBER', 'Num&eacute;ro de t&eacute;l&eacute;phone :');
define('HEADING_EMAIL_ADDRESS', 'Adresse &eacute;lectronique :');
define('HEADING_ORDER_DATE', 'Date de la commande :');
define('HEADING_PAYMENT_DATE', 'Date  de paiement :');
define('HEADING_PAYMENT_METHOD', 'M&eacute;thode de paiement :');

define('HEADING_GENDER', 'Genre :');
define('TABLE_HEADING_COMMERCIAL', 'Commercial(e)');
define('HEADING_LAST_NAME', 'Nom :');
define('HEADING_FIRST_NAME', 'Pr&eacute;nom :');
define('TABLE_HEADING_COMPANY', 'Soci&eacute;t&eacute;');
define('HEADING_COMPANY', 'Nom de la soci&eacute;t&eacute; :');
define('TABLE_HEADING_ADDRESS', 'Adresse');
define('HEADING_STREET_ADDRESS', 'Adresse :');
define('HEADING_SUBURB', 'Compl&eacute;ment adresse :');
define('HEADING_POST_CODE', 'Code postal :');
define('HEADING_CITY', 'Ville :');
define('HEADING_COUNTRY', 'Pays :');
define('TABLE_HEADING_CONTACT', 'Contact');
define('HEADING_FAX_NUMBER', 'Num&eacute;ro de fax :');

define('TABLE_HEADING_QUANTITY', 'Quantit&eacute;');
define('TABLE_HEADING_PRODUCTS_STORE', 'Produits');
define('TABLE_HEADING_PRODUCTS_FOURNISSEURS', 'Nom produit fournisseur');
define('TABLE_HEADING_MODEL_FOURNISSEURS', 'R&eacute;f fournisseur');
define('TABLE_HEADING_PRICE_FOURNISSEURS', 'Prix fournisseur');
define('TABLE_HEADING_PRICE_OPTION_FOURNISSEURS', 'Prix options');
define('HEADING_MAX_SEARCH', 'Produits par page : ');
define('MIN_NUMBER_PAGE', '20'); //nombre de produit par page
define('MAX_NUMBER_PAGE', '500');
define('TRONCHE_NUMBER_PAGE', '10');

define('TABLE_HEADING_DELETE', 'Supprimer');
define('TABLE_HEADING_QUANTITY', 'Qt&eacute;.');
define('TABLE_HEADING_PRODUCTS', 'Produits');
define('TABLE_HEADING_PRODUCTS_MODEL', 'Mod&eacute;le');
define('TABLE_HEADING_TAX_POURCENT', 'Taxe');
define('TABLE_HEADING_PRICE_EXCLUDING_TAX', 'Prix (ht)');
define('TABLE_HEADING_PRICE_INCLUDING_TAX', 'Prix (ttc)');
define('TABLE_HEADING_TOTAL_EXCLUDING_TAX', 'Total (ht)');
define('TABLE_HEADING_TOTAL_INCLUDING_TAX', 'Total (ttc)');

define('HEADING_SUB_TOTAL_EXCLUDING_TAX', 'Sous-Total HT: ');
define('HEADING_TITLE_SHIPPING', 'Frais de port: ');
define('HEADING_TOTAL_INCLUDING_TAX', '<b>Total TTC</b>: ');
define('HEADING_TAX', 'TVA %s');

define('TABLE_HEADING_ADD_PRODUCTS', 'Ajouter un produit');
define('TABLE_HEADING_PRODUCTS_ATTRIBUT', 'Attributs');

define('TABLE_HEADING_HISTORY_ORDER', 'Historique de la commande');
define('TABLE_HEADING_DATE_ADDED', 'Date d\'ajout');
define('TABLE_HEADING_MAIL_SEND', 'Mail envoy&eacute;');
define('TABLE_HEADING_STATUS', 'Statut');
define('HEADING_NOTIFY_ORDER', 'Commande re&ccedil;ue : ');
define('TABLE_HEADING_COMMENTS', 'Commentaires');

define('TABLE_HEADING_GESTION_ORDER', 'Gestion de la commande');

//define('STORE_OWNER_EMAIL_ADDRESS_PRO', 'brouillard-sembrouille@laposte.net');
define('STORE_OWNER_EMAIL_ADDRESS_PRO', STORE_OWNER_EMAIL_ADDRESS);

define('PREVIEW_MAIL', 'Aper&ccedil;u du mail');
define('EMAIL_START_HTML', '<html><head> </head><body>');
define('EMAIL_SPAN_START_STYLE', '<span style="font-family:Verdana, Arial, sans-serif; font-size:12px;">');
define('EMAIL_SEPARATOR', '<hr>');
define('EMAIL_TEXT_SUBJECT', 'Commande de ' . STORE_NAME);
define('EMAIL_SUBJECT', 'Bonjour,');
define('EMAIL_GREET_MR', 'Monsieur %s, veuillez trouver ci-dessous ma commande :');
define('EMAIL_GREET_MS', 'Madame %s, veuillez trouver ci-dessous ma commande :');
define('EMAIL_GREET_NONE', 'Madame, Monsieur, veuillez trouver ci-dessous ma commande :');
define('EMAIL_HEADING_QUANTITY', 'Qt&eacute;');
define('EMAIL_HEADING_PRODUCTS_MODEL', 'R&eacute;f');
define('EMAIL_HEADING_PRODUCTS', 'D&eacute;signation');

define('EMAIL_TEXT_SALUTATION', 'Cordialement,<br>Brouillard S\'embrouille<br><br>' .

nl2br(STORE_NAME_ADDRESS) . '<br>
Fax ...............<br>
RCS ...............<br>
TVA intracommunautaire .............<br>
T&eacute;l ...............<br>
Site web : %s <br>
Email : %s');

define('EMAIL_STOP_HTML', '<br></body></html>');
define('EMAIL_SPAN_STOP_STYLE', '</span>');

define('TEXT_CHOIX_PRODUIT', 'Choisissez un produit');
define('TEXT_CHOIX_FOURNISSEUR', 'Choisissez un fournisseur');
define('TEXT_CHOIX_ORDER', 'Choisissez une commande');
define('PARAM_SIZE_TEXT', 'style="font-size:10px"');

define('DEFAULT_CONTRY_ID', '73'); //pays par defaut
define('ORDERS_STATUS_RECU', 'Commande re&ccedil;ue');
define('ORDERS_STATUS_ATTENTE', 'Commande en attente');

define('TEXT_NO_ORDER_HISTORY', 'Aucun historique de commande disponible');
define('SUCCESS_ORDER_UPDATED', 'Succ&eacute;s : La commande est mise &agrave; jour.');
define('WARNING_ORDER_NOT_UPDATED', 'Attention : Aucune modification n\'a &eacute;t&eacute; effectu&eacute;e. La commande n\'a pas &eacute;t&eacute; mise &agrave; jour.');
define('WARNING_FOURNISSEUR_NOT_UPDATED', 'Attention : Aucune modification n\'a &eacute;t&eacute; effectu&eacute;e. Les champs "*requis" sont requis');
define('WARNING_COMFIRM_DELETE_ORDER', 'Etes vous s&ucirc;r de vouloir supprimer cette commande ?');

//logo store-----------------------------------------------
//define('STORE_LOGO_IMAGE', 'store_logo.png');
//define('STORE_LOGO', '<a href="http://' . STORE_NAME . '"><img src="http://' . STORE_NAME . '/images/' . STORE_LOGO_IMAGE . '" border="0"></a>');
//fin logo store--------------------------------------------
?>
