<?php
/*
  $Id: order_fournisseurs.php,Février 2011 by Brouillard s'embrouille

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2011 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  require(DIR_WS_CLASSES . 'order_fournisseur.php');
  $order = new order_fournisseur($_GET['oID']);

//verrouiller/deverrouiller pour ne pas rouiller
$select_verrou = $order->info['verrou'];

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if ($action == '') {
  $check_fournisseurs_query = tep_db_query("select count(fournisseurs_id) as check_fournisseurs from " . TABLE_FOURNISSEURS);
  $check_fournisseurs_values = tep_db_fetch_array($check_fournisseurs_query);
  if ($check_fournisseurs_values['check_fournisseurs'] == 0) {

    tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=new_fournisseur'));
     }
    }

  if (tep_not_null($action)) {
    switch ($action) {
      case 'update_order':
        $oID = tep_db_prepare_input($_GET['oID']);
        $methode_paiement = tep_db_prepare_input($_POST['methode_paiement']);
        $comments_order = tep_db_prepare_input($_POST['comments_order']);

        $mail_send = '0';
        $check_mail_send_query = tep_db_query("select count(mail_send) as mail_send from " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " where mail_send = '1' and orders_id = '" . (int)$oID . "'");
        $check_mail_send_values = tep_db_fetch_array($check_mail_send_query);
    if ($check_mail_send_values['mail_send'] != 0) $mail_send = 1;

        $order_status = ORDERS_STATUS_ATTENTE;
        $check_order_status_query = tep_db_query("select count(orders_status) as order_status from " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " where orders_status != '" . ORDERS_STATUS_ATTENTE . "' and orders_id = '" . (int)$oID . "'");
        $check_order_status_values = tep_db_fetch_array($check_order_status_query);
    if ($check_order_status_values['order_status'] != 0) $order_status = ORDERS_STATUS_RECU;

        $order_updated = false;
    if ( tep_not_null($methode_paiement) ) {
         tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS . " set payment_date = now(), payment_method = '" . tep_db_input($methode_paiement) . "' where orders_id = '" . (int)$oID . "'");

          $order_updated = true;
        }

    if ( ($_POST['commande_recu'] == 'on') && ($order_status != ORDERS_STATUS_RECU) ) {
         tep_db_query("insert into " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " (orders_id, orders_status, date_added, mail_send, comments) values ('" . (int)$oID . "', '" . ORDERS_STATUS_RECU . "', now(), '" . (int)$mail_send . "', '" . tep_db_input($comments_order)  . "')");

         $order_updated = true;
        } elseif ( tep_not_null($_POST['comments_order']) ) {
         tep_db_query("insert into " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " (orders_id, orders_status, date_added, mail_send, comments) values ('" . (int)$oID . "', '" . $order_status . "', now(), '" . (int)$mail_send . "', '" . tep_db_input($comments_order)  . "')");

         $order_updated = true;
        }

    if ( $order_updated == true ) {
         $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');
        } else {
         $messageStack->add_session(WARNING_ORDER_NOT_UPDATED, 'warning');
        }

       tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action'))));
        break;

//................ envoi email .......................
      case 'preview_send_order':
        $comments_mail = tep_db_prepare_input($_POST['comments_mail']);

//preparation du mail options et produits
    $products_ordered = '<table border="1" width="100%" cellspacing="0" cellpadding="2"><tr style="color:#ffffff; font-weight:bold; background-color:#666666;"><td align="center">' . EMAIL_HEADING_PRODUCTS_MODEL . '</td><td align="center">' . EMAIL_HEADING_QUANTITY . '</td><td align="left">' . EMAIL_HEADING_PRODUCTS . '</td></tr>';
    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {

        $products_ordered_attributes = '';
        for($j = 0; $j < sizeof($order->products[$i]['attributes']); $j++) {

          if ($order->products[$i]['attributes'][$j]['option'] != '') {
             $products_ordered_attributes .= $order->products[$i]['attributes'][$j]['option'] . ' ' . $order->products[$i]['attributes'][$j]['value'] . ', ';
         }
        }

        $products_ordered .= '<tr><td align="center">' . $order->products[$i]['model'] . '</td><td align="center">' . $order->products[$i]['qty'] . '</td><td align="left">' . $order->products[$i]['name'];

    if ($products_ordered_attributes != '')
        $products_ordered .= ' ( ' . $products_ordered_attributes . ')';

        $products_ordered .= '</td></tr>';
       }
    $products_ordered .= '</table>';

           $email = EMAIL_START_HTML;
           $email .= EMAIL_SPAN_START_STYLE;

           $email .= EMAIL_SUBJECT . '<br /><br />';

      if ($order->fournisseur['gendre'] != '') {
         if ($order->fournisseur['gendre'] == 'm') {
           $email .= sprintf(EMAIL_GREET_MR, $order->fournisseur['name']) . '<br /><br />';
         } else {
           $email .= sprintf(EMAIL_GREET_MS, $order->fournisseur['name']) . '<br /><br />';
         }
      } else {
           $email .= sprintf(EMAIL_GREET_NONE, $order->fournisseur['name']) . '<br /><br />';
      }

           $email .= $products_ordered . '<br /><br />';

      if ($comments_mail != '')
           $email .= $comments_mail . '<br /><br />';

           $email .= sprintf(EMAIL_TEXT_SALUTATION, '<a href="' . tep_href_link(FILENAME_DEFAULT, '', 'NONSSL', false) . '">' . STORE_NAME . '</a>', '<a href="mailto:' . STORE_OWNER_EMAIL_ADDRESS_PRO . '">' . STORE_OWNER_EMAIL_ADDRESS_PRO . '</a>');

           $email .= EMAIL_SPAN_STOP_STYLE;
           $email .= EMAIL_STOP_HTML;

           $email_to_name = array(STORE_OWNER, $order->fournisseur['name']);
           $email_to_addr = array(STORE_OWNER_EMAIL_ADDRESS_PRO, $order->fournisseur['email_address']);

//............. apercu du mail ............................
    if (isset($_POST['preview_order'])) {

        echo '<table class="formArea" border="0" width="100%" cellspacing="0" cellpadding="2"><tr><td align="center"><strong><i>' . PREVIEW_MAIL . '</i></strong></td></tr></table>';

        echo '<table class="formArea" border="0" width="100%" cellspacing="0" cellpadding="2"><tr><td align="left">' . $email . tep_draw_form('form_send_order', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=preview_send_order') . tep_draw_hidden_field('comments_mail', $comments_mail) . '<br /></td></tr></table>';

        echo '<table class="formArea" border="0" width="100%" cellspacing="0" cellpadding="2"><tr><td align="right"><a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL_PREVIEW) . '</a> '; if ($select_verrou == 0) echo tep_image_submit('button_send.gif', IMAGE_SEND_ORDER, 'name="send_order" value="send_order"'); echo '</form></td></tr></table><br /><br />';
       } else {

       for ($i=0; $i < sizeof($email_to_addr); $i++) {
           tep_mail($email_to_name[$i], $email_to_addr[$i], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS_PRO);
          }

          tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " set date_added = now(), mail_send = '1', comments = '" . tep_db_input($comments_mail) . "' where mail_send = '0' and orders_id = '" . (int)$oID . "'");

          tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS . " set date_purchased = now() where orders_id = '" . (int)$oID . "'");

          $order_updated = true;

      if ( $order_updated == true ) {
           $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');
          } else {
           $messageStack->add_session(WARNING_ORDER_NOT_UPDATED, 'warning');
          }

       tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action'))));
       }
        break;

// ############# ajouter un fournisseur ################
      case 'select_fournisseur':
        $oID = tep_db_prepare_input($_GET['oID']);
        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('fID','action', 'page')) . 'fID='.$_POST['menu_select_fournisseur']));
        break;

      case 'update_fournisseur':
        $oID = tep_db_prepare_input($_GET['oID']);
        $fournisseurs_gender = tep_db_prepare_input($_POST['fournisseurs_gender']);
        $fournisseurs_firstname = tep_db_prepare_input($_POST['fournisseurs_firstname']);
        $fournisseurs_lastname = tep_db_prepare_input($_POST['fournisseurs_lastname']);
        $fournisseurs_email_address = tep_db_prepare_input($_POST['fournisseurs_email_address']);
        $fournisseurs_telephone = tep_db_prepare_input($_POST['fournisseurs_telephone']);
        $fournisseurs_fax = tep_db_prepare_input($_POST['fournisseurs_fax']);
        $fournisseurs_street_address = tep_db_prepare_input($_POST['fournisseurs_street_address']);
        $fournisseurs_suburb = tep_db_prepare_input($_POST['fournisseurs_suburb']);
        $fournisseurs_postcode = tep_db_prepare_input($_POST['fournisseurs_postcode']);
        $fournisseurs_city = tep_db_prepare_input($_POST['fournisseurs_city']);
        $fournisseurs_country_id = tep_db_prepare_input($_POST['fournisseurs_country_id']);
        $fournisseurs_company = tep_db_prepare_input($_POST['fournisseurs_company']);

     if ( $fournisseurs_email_address == '' || $fournisseurs_company == '' || $fournisseurs_street_address == '' || $fournisseurs_postcode == '' || $fournisseurs_city == '' ) {

          $messageStack->add_session(WARNING_FOURNISSEUR_NOT_UPDATED, 'warning');
    tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=new_fournisseur'));

      } else {
        $sql_data_array = array('fournisseurs_gender' => $fournisseurs_gender,
                                'fournisseurs_firstname' => $fournisseurs_firstname,
                                'fournisseurs_lastname' => $fournisseurs_lastname,
                                'fournisseurs_email_address' => $fournisseurs_email_address,
                                'fournisseurs_telephone' => $fournisseurs_telephone,
                                'fournisseurs_fax' => $fournisseurs_fax,
                                'fournisseurs_street_address' => $fournisseurs_street_address,
                                'fournisseurs_postcode' => $fournisseurs_postcode,
                                'fournisseurs_city' => $fournisseurs_city,
                                'fournisseurs_country' => tep_get_country_name($fournisseurs_country_id),
                                'fournisseurs_country_id' => $fournisseurs_country_id,
                                'fournisseurs_company' => $fournisseurs_company,
                                'fournisseurs_suburb' => $fournisseurs_suburb);

     if ($_GET['fID'] == '') {
        tep_db_perform(TABLE_FOURNISSEURS, $sql_data_array);

      } else {
        tep_db_perform(TABLE_FOURNISSEURS, $sql_data_array, 'update', "fournisseurs_id = '" . $_GET['fID'] . "'");
       }

    tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=new_fournisseur'));
  }
        break;

//......... effacer un fournisseur ......................
      case 'confirm_delete_fournisseur':
        $fournisseurs_id = tep_db_prepare_input($_GET['fID']);

        tep_db_query("delete from " . TABLE_FOURNISSEURS . " where fournisseurs_id = '" . (int)$fournisseurs_id . "'");

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('fID', 'action', 'page'))));
        break;

// ################# mise a jour produits/options/prix fournisseurs ###########
      case 'maj_fournisseurs_products':
        $products_id_fournisseurs = tep_db_prepare_input($_POST['products_id_fournisseurs']);
        $products_name_fournisseurs = tep_db_prepare_input($_POST['products_name_fournisseurs']);
        $products_model_fournisseurs = tep_db_prepare_input($_POST['products_model_fournisseurs']);
        $products_price_fournisseurs = tep_db_prepare_input($_POST['products_price_fournisseurs']);
        $options_values_id_fournisseurs = tep_db_prepare_input($_POST['options_values_id_fournisseurs']);
        $option_price_fournisseurs = tep_db_prepare_input($_POST['option_price_fournisseurs']);

       for ($i = 0; $i < sizeof($products_id_fournisseurs); $i++) {
          tep_db_query("update " . TABLE_PRODUCTS . " set products_name_fournisseurs = '" . tep_db_input($products_name_fournisseurs[$i]) . "', products_price_fournisseurs = '" . (float)(tep_db_input($products_price_fournisseurs[$i]))  . "', products_model_fournisseurs = '" . tep_db_input($products_model_fournisseurs[$i]) . "' where products_id= '" . (int)$products_id_fournisseurs[$i] . "'");

       for ($j = 0; $j < sizeof($options_values_id_fournisseurs); $j++) {
          tep_db_query("update " . TABLE_PRODUCTS_ATTRIBUTES . " set option_price_fournisseurs = '" . (float)(tep_db_input($option_price_fournisseurs[$j])).  "' where products_id = '" . (int)$products_id_fournisseurs[$i] . "' and options_values_id = '" . $options_values_id_fournisseurs[$j] . "'");
         }
        }
        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=products_fournisseur'));
        break;

// ############ copier les noms/modeles des produits boutique vers fournisseur
      case 'store_products_fournisseur':
          $copie_products_query = tep_db_query("select p.products_id, p.products_model, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "'");
          while ($copie_products_values = tep_db_fetch_array($copie_products_query)) {

          tep_db_query("update " . TABLE_PRODUCTS . " set products_name_fournisseurs = '" . tep_db_input($copie_products_values['products_name']) . "', products_model_fournisseurs = '" . tep_db_input($copie_products_values['products_model']) . "' where products_id= '" . (int)$copie_products_values['products_id'] . "'");
         }

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=products_fournisseur'));
        break;

// ################# ajouter une commande ##################
      case 'add_order':
            $fournisseurs_query = tep_db_query("select fournisseurs_id, fournisseurs_gender, fournisseurs_firstname, fournisseurs_lastname, fournisseurs_email_address, fournisseurs_company, fournisseurs_street_address, fournisseurs_suburb, fournisseurs_postcode, fournisseurs_city, fournisseurs_country, fournisseurs_telephone, fournisseurs_fax from " . TABLE_FOURNISSEURS . " where fournisseurs_id = '" . (int)$_POST['menu_id_fournisseur'] . "'");
            $fournisseurs_values = tep_db_fetch_array($fournisseurs_query);

//insertion de la commande dans la table TABLE_FOURNISSEURS_ORDERS
       $sql_data_array = array('fournisseurs_id' => $fournisseurs_values['fournisseurs_id'],
                                'orders_shipping' => 0,
                                'payment_method' => '',
                                'currency' => DEFAULT_CURRENCY,
                                'currency_value' => $currencies->get_value(DEFAULT_CURRENCY),
                                'date_purchased' => 'now()',
                                'payment_date' => '',
                                'verrou' => 0);

          tep_db_perform(TABLE_FOURNISSEURS_ORDERS, $sql_data_array);
          $orders_id = tep_db_insert_id();

          tep_db_query("insert into " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " (orders_id, orders_status, date_added, mail_send, comments) values ('" . (int)$orders_id . "', '" . ORDERS_STATUS_ATTENTE . "', now(), '0', '')");

         tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('fID','oID', 'action', 'page')) . 'oID='.$orders_id));
        break;

//......... effacer une commande ......................
      case 'delete_order':
        $oID = tep_db_prepare_input($_GET['oID']);

        tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS . " where orders_id = '" . (int)$oID . "'");
        tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " where orders_id = '" . (int)$oID . "'");
        tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_id = '" . (int)$oID . "'");
        tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " where orders_id = '" . (int)$oID . "'");

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS));
        break;

// ################# renvoi la commande choisie ##################
      case 'select_order':
         tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, 'oID='.$_POST['menu_orders']));
        break;

// ................ verrouille/deverrouille/reouille la commande ................
      case 'lockunlock_order':
        $verrou_order = tep_db_prepare_input($_GET['verrou_order']);

        tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS . " set verrou = '" . (int)tep_db_input($verrou_order) . "' where orders_id = '" . (int)$oID . "'");

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action', 'verrou_order'))));
        break;

// ################# Mis à jour des quantités des produits ##################
      case 'maj_order':

        $orders_products_id_maj = tep_db_prepare_input($_POST['orders_products_id_maj']);
        $products_quantite = tep_db_prepare_input($_POST['products_quantite_maj']);
        $products_final_price = tep_db_prepare_input($_POST['final_price_maj']);
        $shipping = tep_db_prepare_input($_POST['shipping_maj']);

      for ($i = 0; $i < sizeof($orders_products_id_maj); $i++) {
          tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " set products_quantity = '" . (int)(tep_db_input($products_quantite[$i])) . "', final_price = '" . (float)(tep_db_input($products_final_price[$i])) . "'where orders_products_id = '" . (int)$orders_products_id_maj[$i] . "'");
         }

// .............. frais de port ..........................
          if ($shipping != '') {
             tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS . " set orders_shipping = '" . (float)tep_db_input($shipping[0]) . "' where orders_id = '" . (int)$oID . "'");
             }

       tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action', 'page', 'remove_product'))));

        break;

// ################# supprimer un produit #############################
      case 'remove_products':
           $remove_product = $_GET['remove_product'];

           tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " where orders_products_id = '" .  $remove_product . "' and orders_id = '" . (int)$oID . "'");

           tep_db_query("delete from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_products_id = '" .  $remove_product . "' and orders_id = '" . (int)$oID . "'");

//           $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action', 'page')) . 'action=maj_order'));
        break;

// #################### Ajouter un produit ######################
      case 'add_product':

        $product_id = tep_db_prepare_input($_POST['menu_id_products']);
        $attributes_options_id = tep_db_prepare_input($_POST['attributes_options_id']);
        $products_quantite = tep_db_prepare_input($_POST['products_quantite_add']);

     if ($products_quantite != '') {
//insertion des produits
    $products = $order->get_products($product_id);
    for ($i = 0; $i < sizeof($products); $i++) {
    $sql_data_array = array('orders_id' => $oID, 
                            'products_id' => (int)$products[$i]['id'], 
                            'products_model' => $products[$i]['model'], 
                            'products_name' => $products[$i]['name'], 
                            'products_price' => (float)$products[$i]['price'], 
                            'final_price' => (float)$products[$i]['price'], 
                            'products_tax' => (float)(tep_get_tax_rate($products[$i]['tax_class_id'])), 
                            'products_quantity' => (int)$products_quantite);
       tep_db_perform(TABLE_FOURNISSEURS_ORDERS_PRODUCTS, $sql_data_array);
       $order_products_id = tep_db_insert_id();
      }

//insertion des attributs (c'est important! autant pour les hommes que pour les femmes!)
        $attributes = $order->get_attributes($product_id, $attributes_options_id);
        for($j = 0; $j < sizeof($attributes); $j++) {
        $sql_data_array = array('orders_id' => $oID, 
                                'orders_products_id' => $order_products_id, 
                                'products_options' => $attributes[$j]['products_options'],
                                'products_options_values' => $attributes[$j]['products_options_values'], 
                                'options_values_price' => $attributes[$j]['option_price_fournisseurs'], 
                                'price_prefix' => $attributes[$j]['price_prefix']);

      if ($sql_data_array['products_options_values'] != '') {

          tep_db_perform(TABLE_FOURNISSEURS_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array);
          tep_db_query("update " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " set final_price = products_price + (select sum(options_values_price) from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS_ATTRIBUTES . " where orders_products_id = '" . (int)$order_products_id . "') where orders_products_id = '" . (int)$order_products_id . "'");
        }
       }

        tep_redirect(tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action', 'page')) . 'action=maj_order'));
   }
        break;
    }
  }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script type="text/javascript" src="includes/general.js"></script>
<meta name="robots" content="noindex, nofollow">
</head>
<body>
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- table et td de gauche //-->
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="5">
          <tr>
            <td colspan="3" class="pageHeading"><?php echo HEADING_TITLE; ?></td>
          </tr>
          <tr>
            <td colspan="2" align="left">
     <?php
       $orders_query = tep_db_query("select o.orders_id, o.date_purchased, f.fournisseurs_company from " . TABLE_FOURNISSEURS_ORDERS . " o, " . TABLE_FOURNISSEURS . " f where f.fournisseurs_id = o.fournisseurs_id order by o.date_purchased desc");

      echo tep_draw_form('form_select_order', FILENAME_ORDER_FOURNISSEURS, 'action=select_order');

        $orders_array[] = array('id'=>'-1', 'text'=>TEXT_CHOIX_ORDER);
        while ($orders_values = tep_db_fetch_array($orders_query)) {
               $orders_array[] = array('id'=>$orders_values['orders_id'], 'text'=>(tep_date_short($orders_values['date_purchased']) . ' (' . $orders_values['fournisseurs_company'] . ')'));
             }
     echo tep_draw_pull_down_menu('menu_orders', $orders_array, '', PARAM_SIZE_TEXT . ' onChange="this.form.submit();"', false);
    ?>
            </form>
            </td>
            <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, 'oID='.$_GET['oID'] . '&action=new_order', 'NONSSL') . '">' . tep_image_button('button_new_order.gif', IMAGE_BUTTON_NEW_ORDER) . '</a> '; ?><?php echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action', 'menu_max_display', 'fID', 'menu_search')) . 'action=new_fournisseur', 'NONSSL') . '">' . tep_image_button('button_gestion_suppliers.gif', IMAGE_BUTTON_NEW_FOURNISSEUR) . '</a> '; ?><?php echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('fID','action', 'remove_product', 'menu_search')) . 'action=products_fournisseur', 'NONSSL') . '">' . tep_image_button('button_gestion_products.gif', IMAGE_BUTTON_PRODUCTS_FOURNISSEUR) . '</a>'; ?></td>
          </tr>
<?php
        if (isset($_GET['action']) && $_GET['action'] == 'new_order') {
           echo tep_draw_form('form_add_order', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=add_order');

            $fournisseurs_array[] = array('id'=>'-1', 'text'=>TEXT_CHOIX_FOURNISSEUR);
            $menu_fournisseurs_query = tep_db_query("select fournisseurs_id, fournisseurs_firstname, fournisseurs_lastname, fournisseurs_company from " . TABLE_FOURNISSEURS . " order by fournisseurs_company desc");
            while ($menu_fournisseurs_values = tep_db_fetch_array($menu_fournisseurs_query)) {
              $fournisseurs_array[] = array('id'=>$menu_fournisseurs_values['fournisseurs_id'], 'text'=>($menu_fournisseurs_values['fournisseurs_company'] . ' (' . $menu_fournisseurs_values['fournisseurs_lastname'] . ')'));
            }

echo '   <tr>
            <td colspan="3">' . tep_draw_separator('pixel_trans.gif', '1', '5') . '<br />' . tep_draw_separator() . '</td>
          </tr>
          <tr>
           <td colspan="3" width="100%" align="center"><table class="formArea" width="100%" border="0" cellspacing="0" cellpadding="5">
             <tr>
               <td colspan="3" class="pageHeading">' . HEADING_TITLE_NEW_ORDER . '<br />' . tep_draw_separator() . '</td>
             </tr>
             <tr>
               <td class="main">' . HEADING_TEXT_NEW_ORDER . '</td>
               <td>' . tep_draw_pull_down_menu('menu_id_fournisseur', $fournisseurs_array, '', PARAM_SIZE_TEXT . ' onChange="this.form.submit();"', false) . '</td>
               <td><a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('fID', 'action'))) .'">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a></td></form>
             </tr>
            </table></td>
         </tr>';
         } elseif ( isset($_GET['action']) && $_GET['action'] == 'new_fournisseur' || $_GET['fID'] != '' ) {

           include(DIR_WS_INCLUDES . FILENAME_ADD_FOURNISSEURS);
         } elseif ( isset($_GET['action']) && $_GET['action'] == 'products_fournisseur' || $_GET['menu_max_display'] != '' ) {

          include(DIR_WS_INCLUDES . FILENAME_FOURNISSEURS_PRODUCTS);
         }
?>
          <tr>
            <td colspan="3"><?php echo tep_draw_separator(); ?></td>
          </tr>
        </table></td>
      </tr>
<!-- table titre //-->
      <tr>
        <td align="right"><?php if ($select_verrou == 0) { echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=lockunlock_order&verrou_order=1', 'NONSSL') . '">' . tep_image_button('button_lock_order.gif', IMAGE_BUTTON_LOCK_ORDER) . '</a> '; } else { echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=lockunlock_order&verrou_order=0', 'NONSSL') . '">' . tep_image_button('button_unlock_order.gif', IMAGE_BUTTON_UNLOCK_ORDER) . '</a> '; } ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
           <tr>
            <td class="main" valign="top" align="right"><strong><?php echo HEADING_FOURNISSEUR_CAMPANY; ?></strong></td>
            <td class="main"><?php echo $order->fournisseur['company']; ?></td>
           </tr>
           <tr>
            <td class="main" valign="top" align="right"><strong><?php echo HEADING_COMERCIAL_NAME; ?></strong></td>
            <td class="main"><?php echo $order->fournisseur['name']; ?></td>
           </tr>
           <tr>
            <td class="main" align="right"><strong><?php echo HEADING_TELEPHONE_NUMBER; ?></strong></td>
            <td class="main"><?php echo $order->fournisseur['telephone']; ?></td>
           </tr>
           <tr>
            <td class="main" align="right"><strong><?php echo HEADING_EMAIL_ADDRESS; ?></strong></td>
            <td class="main"><?php echo '<a href="mailto:' . $order->fournisseur['email_address'] . '"><u>' . $order->fournisseur['email_address'] . '</u></a>'; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><strong><?php echo HEADING_ORDER_DATE; ?></strong></td>
            <td class="main"><?php echo tep_date_short($order->info['date_purchased']); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><strong><?php echo HEADING_PAYMENT_METHOD; ?></strong></td>
            <td class="main"><?php echo $order->info['payment_method']; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><strong><?php echo HEADING_PAYMENT_DATE; ?></strong></td>
            <td class="main"><?php echo tep_date_short($order->info['payment_date']); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="1" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_DELETE; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_QUANTITY; ?></td>
           <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_TAX_POURCENT; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></td>
           <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></td>
         </tr>
<?php
echo tep_draw_form('form_maj_order', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=maj_order');

    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {

//------------ données du produit-----------------
if ($select_verrou == 1) {
   $param_input = 'class="dataTableRow" size="5" readonly';
   $supprime_product = ' ';
  } else {
   $param_input = 'size="5"';
   $supprime_product = '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=remove_products&remove_product='.$order->products[$i]['orders_products_id'].'', 'NONSSL').'">' . tep_image(DIR_WS_IMAGES . 'poubelle.gif', IMAGE_BUTTON_REMOVE_PRODUCT, 16, 22) . '</a>';
  }

      echo '      <tr class="dataTableRow">' . "\n" .

           '        <td class="main" align="center">' . $supprime_product . '</td><td class="dataTableContent" valign="middle" align="center"><input type="text" name="products_quantite_maj[]" id="products_quantite_maj[]" value="' . $order->products[$i]['qty'] .  '" ' . $param_input . '> </td>' . "\n" .
           '        <td class="dataTableContent" valign="middle"><input type="hidden" name="orders_products_id_maj[]" id="orders_products_id_maj[]" value="' . $order->products[$i]['orders_products_id'] . '">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (($k = sizeof($order->products[$i]['attributes'])) > 0)) {
        for ($j = 0; $j < $k; $j++) {
          echo '<br /><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '        </td>' . "\n" .
           '        <td class="dataTableContent" valign="middle" align="center">'  . $order->products[$i]['model'] . '</td>' . "\n";
      echo '        <td class="dataTableContent" align="center" valign="middle">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '        <td class="dataTableContent" align="center" valign="middle"><input type="text" name="final_price_maj[]" id="final_price_maj[]" value="' . $order->products[$i]['final_price'] . '" ' . $param_input . '> </td>' . "\n" .
           '        <td class="dataTableContent" align="center" valign="middle"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '        <td class="dataTableContent" align="center" valign="middle"><strong>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '        <td class="dataTableContent" align="center" valign="middle"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n";
      echo '      </tr>' . "\n";

    }
?>
        </table></td>
      </tr>
<!-- // Traitement des frais de port -->
   <tr>
    <td width="20%" align="right" class="main"><table width="20%" border="1" cellspacing="0" cellpadding="5">
     <tr class="dataTableRow">
      <td align="right" class="dataTableContent"><?php echo HEADING_TITLE_SHIPPING; ?></td>
      <td align="right" class="dataTableContent"> <?php echo '<input type="text" name="shipping_maj[]" id="shipping_maj[]" value="' . $order->info['orders_shipping'] . '" ' . $param_input . '>'; ?></td>
     </tr>
    </table></td>
   </tr>
   <tr>
     <td align="right" colspan="8"><table border="0" cellspacing="0" cellpadding="2">
<?php
//................ Sous_Total TTC ................................
          $orders_products_query = tep_db_query("select sum(final_price*products_quantity) as sous_total from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " where orders_id = '" . (int)$oID . "'");
          $orders_products = tep_db_fetch_array($orders_products_query);

echo '<tr>' . "\n" .
       '<td align="right" class="smallText">' . HEADING_SUB_TOTAL_EXCLUDING_TAX . '</td>' . "\n" .
       '<td align="right" class="smallText">' . $currencies->format($orders_products['sous_total'], true) . '</td>' . "\n" .
     '</tr>' . "\n";

// .............. frais de port ..........................
echo '<tr>' . "\n" .
       '<td align="right" class="smallText">' . HEADING_TITLE_SHIPPING . '</td>' . "\n" .
       '<td align="right" class="smallText">' . $currencies->format($order->info['orders_shipping'], true) . '</td>' . "\n" .
     '</tr>' . "\n";

// .........sommes des taxes par groupe ......................
      for ($i = 0; $i < sizeof($order->products); $i++) {
          $orders_taxs_query = tep_db_query("select products_tax, sum(final_price*products_tax*products_quantity)/100 as total_tax from " . TABLE_FOURNISSEURS_ORDERS_PRODUCTS . " where products_tax = '" . $order->products[$i]['tax'] . "' and orders_id = '" . (int)$oID . "'");
          $orders_taxs_values = tep_db_fetch_array($orders_taxs_query);

          $orders_taxs_rate[] = $orders_taxs_values['products_tax'];
          $orders_taxs_rate = array_values(array_unique($orders_taxs_rate));
          $taxs_somme_group[] = $orders_taxs_values['total_tax'];
          $taxs_somme_group = array_values(array_unique($taxs_somme_group));
         }

  for ($i = 0; $i < sizeof($orders_taxs_rate); $i++) {
echo '<tr>' . "\n" .
       '<td align="right" class="smallText">' . sprintf(HEADING_TAX, number_format($orders_taxs_rate[$i], 1, ',', '')) . '%: </td>' . "\n" .
       '<td align="right" class="smallText">' . $currencies->format($taxs_somme_group[$i], true) . '</td>' . "\n" .
     '</tr>' . "\n";
    }

// .................. Total TTC .................................
        $total_ttc = (float)$orders_products['sous_total'] + (float)$order->info['orders_shipping'];
        if (is_array($taxs_somme_group))
        $total_ttc = (float)$orders_products['sous_total'] + (float)array_sum($taxs_somme_group) + (float)$order->info['orders_shipping'];

echo '<tr>' . "\n" .
       '<td align="right" class="smallText">' . HEADING_TOTAL_INCLUDING_TAX . '</td>' . "\n" .
       '<td align="right" class="smallText"><strong>' . $currencies->format($total_ttc, true) . '</strong></td>' . "\n" .
     '</tr>' . "\n";
?>
      <tr>
       <td colspan="8" class="main" align="right"><?php if ($select_verrou == 0) echo tep_image_submit('button_update.gif', IMAGE_UPDATE); ?></td>
      </tr>
</form>
     </table></td>
    </tr>
<!-- table total //-->
    <tr>
      <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
    </tr>
    <tr>
      <td class="main"><table border="1" cellspacing="0" cellpadding="5">
       <tr>
        <td colspan="3" class="main" align="center"><strong><?php echo TABLE_HEADING_ADD_PRODUCTS; ?></strong></td>
       </tr>
       <tr class="dataTableHeadingRow">
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_QUANTITY; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_ATTRIBUT; ?></td>
       </tr>
       <tr>
<?php
echo tep_draw_form('form_add_product', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=add_product');

echo   '<td class="main"><input type="text" name="products_quantite_add" id="products_quantite_add" value="" size="5"></td>
        <td class="main">';

//données produits du menu déroulant
      $products_query = tep_db_query("select products_id, products_tax_class_id, products_name_fournisseurs, products_price_fournisseurs from " . TABLE_PRODUCTS . " order by products_name_fournisseurs asc");

      $products_array[] = array('id'=>'-1', 'text'=>TEXT_CHOIX_PRODUIT);

     if ($oID != '' && $select_verrou == 0) {
        while ($products = tep_db_fetch_array($products_query)) {
               $products_array[] = array('id'=>$products['products_id'], 'text'=>($products['products_name_fournisseurs'] . ' (' . $currencies->format($products['products_price_fournisseurs'], true) . ')'));
             }
           }
   echo tep_draw_pull_down_menu('menu_id_products', $products_array, '', PARAM_SIZE_TEXT . ' onChange="this.form.submit();"', false);
?>
        </td>
        <td></td>
       </tr>
    <?php

    if(isset($product_id) && $product_id != -1) {
//Les options du produit-----------------------------------------------------
      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$product_id . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");

      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
        $products_options_array = array();
        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.option_price_fournisseurs, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$product_id . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");

        while ($products_options = tep_db_fetch_array($products_options_query)) {
          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
          if ($products_options['option_price_fournisseurs'] != '0') {
            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->format($products_options['option_price_fournisseurs'], true) .') ';
          }
        }
?>
       <tr>
        <td></td><td></td>
        <td class="main"><?php echo tep_draw_pull_down_menu('attributes_options_id[' . $products_options_name['products_options_id'] . ']', $products_options_array); ?></td>
       </tr>
<?php
      }
//------------------------------------------------------
    }
?>
       <tr>
        <td colspan="3" class="main" align="center"><?php if ($select_verrou == 0) echo tep_image_submit('button_insert.gif', IMAGE_INSERT); ?></td>
       </tr>
</form>
      </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><table class="formArea" border="0" cellspacing="0" cellpadding="5">
          <tr>
           <td colspan="4" class="main"><strong><?php echo TABLE_HEADING_HISTORY_ORDER; ?></strong></td>
          </tr>
          <tr>
            <td colspan="4"><?php echo tep_draw_separator() . tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_DATE_ADDED; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_MAIL_SEND; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_STATUS; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_COMMENTS; ?></strong></td>
          </tr>
          <tr>
           <td colspan="4"><?php echo tep_draw_separator(); ?></td>
          </tr>
<?php
$orders_history_query = tep_db_query("select orders_status, date_added, mail_send, comments from " . TABLE_FOURNISSEURS_ORDERS_HISTORY . " where orders_id = '" . tep_db_input($oID) . "' order by date_added");

    if (tep_db_num_rows($orders_history_query)) {
      while ($orders_history = tep_db_fetch_array($orders_history_query)) {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" align="center">' . tep_datetime_short($orders_history['date_added']) . '</td>' . "\n" .
             '            <td class="smallText" align="center">';
        if ($orders_history['mail_send'] == '1') {
          echo tep_image(DIR_WS_ICONS . 'tick.gif', ICON_TICK) . "</td>\n";
        } else {
          echo tep_image(DIR_WS_ICONS . 'cross.gif', ICON_CROSS) . "</td>\n";
        }
        echo '            <td class="smallText">' . $orders_history['orders_status'] . '</td>' . "\n" .
             '            <td class="smallText">' . nl2br(tep_db_output($orders_history['comments'])) . '&nbsp;</td>' . "\n" .
          '          </tr>' . "\n";
      }

        echo tep_draw_form('status', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=update_order');
?>
        <tr>
         <td colspan="4"><?php echo tep_draw_separator(); ?></td>
        </tr>
        <tr>
          <td colspan="4" class="smallText"><strong><?php echo HEADING_PAYMENT_METHOD; ?></strong>&nbsp;<?php if ($select_verrou == 0) echo tep_draw_input_field('methode_paiement', '', 'size="20"'); ?></td>
        </tr>
        <tr>
         <td colspan="4"><?php echo tep_draw_separator(); ?></td>
        </tr>
        <tr>
          <td colspan="2" class="smallText"><strong><?php echo HEADING_NOTIFY_ORDER; ?></strong> <?php if ($select_verrou == 0) echo tep_draw_checkbox_field('commande_recu', '', false); ?></td>
          <td colspan="2" class="smallText"><strong><?php echo TABLE_HEADING_COMMENTS; ?> :</strong> <?php if ($select_verrou == 0) echo tep_draw_input_field('comments_order', '', 'size="20"'); ?></td>
        </tr>
        <tr>
         <td colspan="4"><?php echo tep_draw_separator(); ?></td>
        </tr>
        <tr>
          <td colspan="4" align="right"><?php if ($select_verrou == 0) echo tep_image_submit('button_update.gif', IMAGE_UPDATE); ?></td>
         </form>
        </tr>

<?php
} else {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" colspan="4">' . TEXT_NO_ORDER_HISTORY . '</td>' . "\n" .
             '          </tr>' . "\n";
    }
?>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
      </tr>
<!-- tr gestion de la commande (envoi par mail, imprimer, effacer) -->
      <tr>
      <td width="100%" valign="top" class="formArea"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
       <td class="main"><strong><?php echo TABLE_HEADING_GESTION_ORDER; ?></strong></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator() . tep_draw_separator('pixel_trans.gif', '1', '20'); ?></td>
      </tr>
      <tr>
       <td class="main"><strong><?php echo TABLE_HEADING_COMMENTS; ?></strong></td>
      </tr>
      <?php echo tep_draw_form('form_send_order', FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=preview_send_order'); ?>
      <tr class="formArea">
       <td colspan="2" class="main"><?php if ($select_verrou == 0) echo tep_draw_textarea_field('comments_mail', 'soft', '60', '5'); ?></td>
      </tr>
      <tr class="formArea">
       <td align="left"><?php if ($select_verrou == 0) echo '<a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=confirm_delete_order') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE_ORDER) . '</a> '; ?></td>
       <td align="right"><?php echo tep_image_submit('button_preview.gif', IMAGE_PREVIEW_ORDER, 'name="preview_order" value="preview_order"') . ' '; if ($select_verrou == 0) echo tep_image_submit('button_send.gif', IMAGE_SEND_ORDER, 'name="send_order" value="send_order"'); ?></td></form>
      </tr>
<?php
    if (isset($_GET['action']) && $_GET['action'] == 'confirm_delete_order') {
echo '<tr>
       <td>
        <table class="messageStackWarning" border="0" width="40%" cellspacing="0" cellpadding="5">
         <tr>
          <td colspan="2" align="center">' . WARNING_COMFIRM_DELETE_ORDER . '<br />' . tep_draw_separator() . '</td>
         </tr>
         <tr>
          <td align="left"> <a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, tep_get_all_get_params(array('action')) . 'action=delete_order') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE_ORDER) . '</a></td>
          <td align="right"> <a href="' . tep_href_link(FILENAME_ORDER_FOURNISSEURS, 'oID=' . $_GET['oID']) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL_ORDER) . '</a></td>
         </tr>
        </table>
       </td>
      </tr>';
     }
?>
      </table></td>
      </tr>
<!-- fin tr gestion de la commande (envoi mail, imprimer, effacer) -->
     </table></td>
<!-- table et td de droite //-->
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>